#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <assert.h>

#include <xosd.h>

#define PLUGIN_VERSION "0.5"

#if 0
#define DEBUG(fmt, a...) fprintf (stderr, "%s:%d %s: " fmt "\n", __FILE__ , __LINE__ , __PRETTY_FUNCTION__ , ##a)
#else
#define DEBUG(fmt, a...)
#endif

struct show
{
  gboolean volume;
  gboolean balance;
  gboolean pause;
  gboolean trackname;
  gboolean stop;
  gboolean repeat;
  gboolean shuffle;
  gboolean listpos;
};
extern struct show show;

struct xosdconf
{
  gchar *font;
  gchar *colour;
  gint timeout;
  gint offset;
  gint h_offset;
  gint shadow_offset;
  gint outline_offset;
  gint pos;
  gint align;
};
extern struct xosdconf xosdconf;

/* dlg_font.c */
extern GtkWidget *font_entry;
extern int font_dialog_window(GtkButton * button, gpointer user_data);
/* dlg_colour.c */
extern GtkWidget *colour_entry;
extern int colour_dialog_window(GtkButton * button, gpointer user_data);
/* dlg_config.c */
extern void configure(void);
extern int colour_dialog_window(GtkButton * button, gpointer user_data);
/* xmms_osd.c */
extern xosd *osd;
extern void read_config(void);
extern void write_config(void);
extern void apply_config(void);
extern void show_about(void);

/* vim: tabstop=8 shiftwidth=8 noexpandtab
 */
